require 'spec_helper'

module Contender
  module Pool

    describe PoolExecutor, stress: true do
      it 'can handle many submissions' do
        executor = Pool.fixed 4

        x = 100_000

        latch = CountdownLatch.new x
        x.times do
          executor.execute do
            latch.countdown
          end
        end

        latch.await

        puts executor

        executor.shutdown
        executor.await_termination 5

        executor.completed_tasks.should == x
      end
    end

  end
end
