module WaitHelper
  TimeoutError = Class.new RuntimeError

  def wait_until(timeout = 5, interval = 0.1, &block)
    start = Time.now

    until block.call
      elapsed = Time.now - start
      raise TimeoutError unless elapsed < timeout

      sleep interval
    end
  end
end
